Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1689648 - bcm283x-firmware-20190212-1.83977fe.fc29.armv7hl fails to boot on rpi2
Summary: bcm283x-firmware-20190212-1.83977fe.fc29.armv7hl fails to boot on rpi2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bcm283x-firmware
Version: 29
Hardware: armv7hl
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-17 09:43 UTC by Frank Crawford
Modified: 2019-03-29 19:17 UTC (History)
4 users (show)

Fixed In Version: bcm283x-firmware-20190212-4.83977fe.fc29 bcm283x-firmware-20190212-4.83977fe.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-19 05:15:53 UTC
Type: Bug


Attachments (Terms of Use)

Description Frank Crawford 2019-03-17 09:43:41 UTC
Description of problem:
After upgrading to bcm283x-firmware-20190212-2.83977fe.fc29.armv7hl my rpi2 fails to boot, and just displays a rainbow screen.

Version-Release number of selected component (if applicable):
bcm283x-firmware-20190212-2.83977fe.fc29.armv7hl

How reproducible:
100%

Steps to Reproduce:
1. Upgrade to bcm283x-firmware-20190212-2.83977fe.fc29.armv7hl
2. Reboot system
3. Observe boot process

Actual results:
System fails to boot, and only displays rainbow screen.

Expected results:
System boot.

Additional info:
Downgrading to bcm283x-firmware-20190212-1.83977fe.fc29.armv7hl boots fine.

Comment 1 Peter Robinson 2019-03-17 10:13:06 UTC
Can you give me a list of *.dtb in the fat partition?

Comment 2 Frank Crawford 2019-03-17 10:29:07 UTC
Bingo, there doesn't seem to be a rpi2 dtb file.  See the two lists below:

bcm283x-firmware-20190212-1.83977fe.fc29.armv7hl

-rwxr-xr-x. 1 root root 24115 Sep 19 08:23 /boot/efi/bcm2709-rpi-2-b.dtb
-rwxr-xr-x. 1 root root 25311 Sep 19 08:23 /boot/efi/bcm2710-rpi-3-b.dtb
-rwxr-xr-x. 1 root root 25914 Dec  1 23:59 /boot/efi/bcm2710-rpi-3-b-plus.dtb
-rwxr-xr-x. 1 root root 24087 Sep 19 08:23 /boot/efi/bcm2710-rpi-cm3.dtb

bcm283x-firmware-20190212-2.83977fe.fc29.armv7hl

-rwxr-xr-x. 1 root root 14285 Mar  8 04:30 /boot/efi/bcm2837-rpi-3-a-plus.dtb
-rwxr-xr-x. 1 root root 14851 Mar  8 04:30 /boot/efi/bcm2837-rpi-3-b.dtb
-rwxr-xr-x. 1 root root 15239 Mar  8 04:30 /boot/efi/bcm2837-rpi-3-b-plus.dtb
-rwxr-xr-x. 1 root root 14407 Mar  8 04:30 /boot/efi/bcm2837-rpi-cm3-io3.dtb

Comment 3 Peter Robinson 2019-03-17 10:33:12 UTC
Fix already building, that was an oversight while dealing with another issue. If you need it to get it booting you can grab this one and put it in there: https://pbrobinson.fedorapeople.org/bcm2836-rpi-2-b.dtb

Comment 4 Frank Crawford 2019-03-17 10:42:41 UTC
Unless you really need me to test that one, I'm fine to wait for the new build.  I've already downgraded to the previous version and it is working fine.

Comment 5 Fedora Update System 2019-03-17 10:42:42 UTC
bcm283x-firmware-20190212-4.83977fe.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8d102dad8d

Comment 6 Fedora Update System 2019-03-17 10:42:50 UTC
bcm283x-firmware-20190212-4.83977fe.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8528d07711

Comment 7 Peter Robinson 2019-03-17 10:58:11 UTC
Just tested this on one of my RPi2 devices with F-29 and it seems OK. Thanks for the quick report.

Comment 8 Fedora Update System 2019-03-17 20:59:24 UTC
bcm283x-firmware-20190212-4.83977fe.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8528d07711

Comment 9 Fedora Update System 2019-03-18 17:47:50 UTC
bcm283x-firmware-20190212-4.83977fe.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8d102dad8d

Comment 10 Fedora Update System 2019-03-19 05:15:53 UTC
bcm283x-firmware-20190212-4.83977fe.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-03-29 19:17:08 UTC
bcm283x-firmware-20190212-4.83977fe.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.